#### FILE

#### Synopsis

    HELP:   Abbreviation for read.auto(file=...)
    TYPE:   STRING
    SYNTAX: FILE='str'/STREAM/DUMMY

#### Description

`read.file='name.txt'` is an abbreviation for `read.auto(file='name.txt')` without any further parameters. Please have a look at read.auto() for more information. `read.file` use all data format detection capabilities of FLAM to read transparent byte streams or records form a data source, which can be an encoded (e.g. Base64), encrypted (e.g. PGP) and/or compressed (GZIP/BZIP2/XZ) file, a FLAMFILE, other archive or a normal clear data set.

The data stream after I/O and after each conversion can contain several kinds of 4 byte length field formats. This is also detected and the data is interpreted as blocks containing various records for the next layer.

#### Selections

- `STREAM - Read from stdin or write to stdout`
- `DUMMY - Read EOF or write nothing`